Subject: Re: Re: [magma] IGMP v3 General Query

From: "Rajasekaran R" <[email-masked]>
Date: 24 May 2005 12:33:54 -0000

what will happen to IGMPv2 host receiving IGMP v3 General Query ?

- R. Rajasekaran.

On Tue, 24 May 2005 Brian Haberman wrote :
>
>On May 24, 2005, at 7:11, Rajasekaran R wrote:
>
>>    I have network with say Multicast router, IGMPv2 host, IGMPv3 host.
>>  What happens when a Multicast router sends a IGMPv3 General Query messages ?
>>  Does both IGMPv2 host and IGMPv3 host responds ?  What is the format of Report message send by both the host ?
>>
>
>Section 7 of RFC 3376 describes the interoperability between different
>versions of IGMP.  The router will transition to a backwards compatibility
>mode per group record.  The IGMPv3 host may suppress its Report if it
>hears the IGMPv2 Report format.
>
>Regards,
>Brian
>
_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: Brian Haberman <[email-masked]>
Date: Tue, 24 May 2005 09:23:43 -0400

>  what will happen to IGMPv2 host receiving IGMP v3 General Query ?

It will follow the rules specified in section 6 of RFC 2236.  The v2 
host
will operate normally.  The v3 Querier will move into v2 compatibility
mode for the groups reported by v2 hosts.

The key is that v2 and v3 Queries share the same Type value (0x11)
which means they are recognized as Queries by any version of
listener.

Regards,
Brian

>  >>  Does both IGMPv2 host and IGMPv3 host responds ?  What is the 
> format of Report message send by both the host ?
>  >>
>  >

Regards,
Brian Haberman
JHU/APL

240-228-1319
443-778-1319
[email-masked]